petsc-3.7.1 2016-05-15
Report Typos and Errors

# SNESMonitorRatioSetUp

Insures the SNES object is saving its history since this monitor needs access to it

### Synopsis

    #include "petsc/private/snesimpl.h"
    PetscErrorCode  SNESMonitorRatioSetUp(SNES snes,PetscViewerAndFormat *vf)

Collective on SNES Many br

### Input Parameters

| snes | - the SNES context Many br
| viewer | - the PetscViewer object (ignored) Many br

Many br

### Keywords

SNES, nonlinear, monitor, norm

### See Also

SNESMonitorSet(), SNESMonitorSolution(), SNESMonitorDefault(), SNESMonitorRatio()

Level:intermediate
Location:src/snes/interface/snesut.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages